package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.dataobject.DataStatisticDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckRecordDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckRecordStatisticDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:59
 */
public interface FireCheckRecordRepository extends BaseRepository<FireCheckRecordDO> {
    PageResponse<FireCheckRecordDO> listPage(Map<String, Object> params);

    FireCheckRecordDO getNoFinishedInfoId(String fireCheckId);

    PageResponse<FireCheckRecordDO> getCheckRecordList(Map<String, Object> params);

    FireCheckRecordDO getCheckRecordInfo(String fireRecordId);

    List<FireCheckRecordStatisticDO> statisticListByFireCheckIdList(List<String> fireCheckIdList);

    List<DataStatisticDO> DataStatisticDO(List<Long> corpinfoIds);

    PageResponse<FireCheckRecordDO> getCheckRecordPageH5(Map<String, Object> params);

    FireCheckRecordDO getCheckRecordInfoByFireRecordId(String fireRecordId);

    PageResponse<FireCheckRecordDO> getCheckRecordPageH5New(Map<String, Object> params);

}

